package com.unis.base.server.service;

import java.util.List;

import com.unis.base.common.vo.TyLqxxVO;

/**
 * @author huangxing
 * @version 1.0
 * @Title: TyCrkxxService
 * @ProjectName TyCrkxxService
 * @Description:
 * @date 2019/7/22 17:47
 */
public interface TyLqxxService {

	/**
	 * 获取信息列表
	 * @param dKdxxsjyVO
	 * @return
	 */
	List<TyLqxxVO> getTyLqxxList(TyLqxxVO tyLqxxVO);

	/**
	 * 分页展示
	 * @param TyLqxxVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<TyLqxxVO> getTyLqxxPage(TyLqxxVO tyLqxxVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增信息
	 * @param TyLqxxVO
	 * @return
	 */
	int insert(TyLqxxVO tyLqxxVO);

	/**
	 * 更新信息
	 * @param TyLqxxVO
	 * @return
	 */
	int update(TyLqxxVO tyLqxxVO);

	/**
	 * 删除信息
	 * @author huangxing
	 * @param TyLqxxVO
	 * @return
	 */
	int delete(String lqid);

	/**
	 * 根据编号获取信息
	 * @param ajbh
	 * @return 廒间信息
	 */
	TyLqxxVO getLqxxByLqxxid(String lqid);

}
